japa.parser.ast.visitor

## Class ModifierVisitorAdapter<A>

- java.lang.Object
- - japa.parser.ast.visitor.ModifierVisitorAdapter<A>

All Implemented Interfaces:
  GenericVisitor<Node,A>

    public abstract class ModifierVisitorAdapter<A>
    extends Object
    implements GenericVisitor<Node,A>

This visitor adapter can be used to save time when some specific nodes needs to be changed. To do that just extend this class and override the methods from the nodes who needs to be changed, returning the changed node.

Author:
  Julio Vilmar Gesser

### Constructor Summary

Constructors
Constructor and Description
`ModifierVisitorAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Node` `visit(AnnotationDeclaration n, A arg)`
`Node` `visit(AnnotationMemberDeclaration n, A arg)`
`Node` `visit(ArrayAccessExpr n, A arg)`
`Node` `visit(ArrayCreationExpr n, A arg)`
`Node` `visit(ArrayInitializerExpr n, A arg)`
`Node` `visit(AssertStmt n, A arg)`
`Node` `visit(AssignExpr n, A arg)`
`protected Node` `visit(BaseParameter n, A arg)`
`Node` `visit(BinaryExpr n, A arg)`
`Node` `visit(BlockComment n, A arg)`
`Node` `visit(BlockStmt n, A arg)`
`Node` `visit(BooleanLiteralExpr n, A arg)`
`Node` `visit(BreakStmt n, A arg)`
`Node` `visit(CastExpr n, A arg)`
`Node` `visit(CatchClause n, A arg)`
`Node` `visit(CharLiteralExpr n, A arg)`
`Node` `visit(ClassExpr n, A arg)`
`Node` `visit(ClassOrInterfaceDeclaration n, A arg)`
`Node` `visit(ClassOrInterfaceType n, A arg)`
`Node` `visit(CompilationUnit n, A arg)`
`Node` `visit(ConditionalExpr n, A arg)`
`Node` `visit(ConstructorDeclaration n, A arg)`
`Node` `visit(ContinueStmt n, A arg)`
`Node` `visit(DoStmt n, A arg)`
`Node` `visit(DoubleLiteralExpr n, A arg)`
`Node` `visit(EmptyMemberDeclaration n, A arg)`
`Node` `visit(EmptyStmt n, A arg)`
`Node` `visit(EmptyTypeDeclaration n, A arg)`
`Node` `visit(EnclosedExpr n, A arg)`
`Node` `visit(EnumConstantDeclaration n, A arg)`
`Node` `visit(EnumDeclaration n, A arg)`
`Node` `visit(ExplicitConstructorInvocationStmt n, A arg)`
`Node` `visit(ExpressionStmt n, A arg)`
`Node` `visit(FieldAccessExpr n, A arg)`
`Node` `visit(FieldDeclaration n, A arg)`
`Node` `visit(ForeachStmt n, A arg)`
`Node` `visit(ForStmt n, A arg)`
`Node` `visit(IfStmt n, A arg)`
`Node` `visit(ImportDeclaration n, A arg)`
`Node` `visit(InitializerDeclaration n, A arg)`
`Node` `visit(InstanceOfExpr n, A arg)`
`Node` `visit(IntegerLiteralExpr n, A arg)`
`Node` `visit(IntegerLiteralMinValueExpr n, A arg)`
`Node` `visit(JavadocComment n, A arg)`
`Node` `visit(LabeledStmt n, A arg)`
`Node` `visit(LineComment n, A arg)`
`Node` `visit(LongLiteralExpr n, A arg)`
`Node` `visit(LongLiteralMinValueExpr n, A arg)`
`Node` `visit(MarkerAnnotationExpr n, A arg)`
`Node` `visit(MemberValuePair n, A arg)`
`Node` `visit(MethodCallExpr n, A arg)`
`Node` `visit(MethodDeclaration n, A arg)`
`Node` `visit(MultiTypeParameter n, A arg)`
`Node` `visit(NameExpr n, A arg)`
`Node` `visit(NormalAnnotationExpr n, A arg)`
`Node` `visit(NullLiteralExpr n, A arg)`
`Node` `visit(ObjectCreationExpr n, A arg)`
`Node` `visit(PackageDeclaration n, A arg)`
`Node` `visit(Parameter n, A arg)`
`Node` `visit(PrimitiveType n, A arg)`
`Node` `visit(QualifiedNameExpr n, A arg)`
`Node` `visit(ReferenceType n, A arg)`
`Node` `visit(ReturnStmt n, A arg)`
`Node` `visit(SingleMemberAnnotationExpr n, A arg)`
`Node` `visit(StringLiteralExpr n, A arg)`
`Node` `visit(SuperExpr n, A arg)`
`Node` `visit(SwitchEntryStmt n, A arg)`
`Node` `visit(SwitchStmt n, A arg)`
`Node` `visit(SynchronizedStmt n, A arg)`
`Node` `visit(ThisExpr n, A arg)`
`Node` `visit(ThrowStmt n, A arg)`
`Node` `visit(TryStmt n, A arg)`
`Node` `visit(TypeDeclarationStmt n, A arg)`
`Node` `visit(TypeParameter n, A arg)`
`Node` `visit(UnaryExpr n, A arg)`
`Node` `visit(VariableDeclarationExpr n, A arg)`
`Node` `visit(VariableDeclarator n, A arg)`
`Node` `visit(VariableDeclaratorId n, A arg)`
`Node` `visit(VoidType n, A arg)`
`Node` `visit(WhileStmt n, A arg)`
`Node` `visit(WildcardType n, A arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModifierVisitorAdapter

    public ModifierVisitorAdapter()

### Method Detail

#### visit

    public Node visit(AnnotationDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(AnnotationMemberDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ArrayAccessExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ArrayCreationExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ArrayInitializerExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(AssertStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(AssignExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(BinaryExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(BlockStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(BooleanLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(BreakStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(CastExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(CatchClause n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(CharLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ClassExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ClassOrInterfaceDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ClassOrInterfaceType n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(CompilationUnit n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ConditionalExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ConstructorDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ContinueStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(DoStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(DoubleLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(EmptyMemberDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(EmptyStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(EmptyTypeDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(EnclosedExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(EnumConstantDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(EnumDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ExplicitConstructorInvocationStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ExpressionStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(FieldAccessExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(FieldDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ForeachStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ForStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(IfStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ImportDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(InitializerDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(InstanceOfExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(IntegerLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(IntegerLiteralMinValueExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(JavadocComment n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(LabeledStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(LongLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(LongLiteralMinValueExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(MarkerAnnotationExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(MemberValuePair n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(MethodCallExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(MethodDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(NameExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(NormalAnnotationExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(NullLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ObjectCreationExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(PackageDeclaration n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(Parameter n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(MultiTypeParameter n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    protected Node visit(BaseParameter n,
                         A arg)

#### visit

    public Node visit(PrimitiveType n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(QualifiedNameExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ReferenceType n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ReturnStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(SingleMemberAnnotationExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(StringLiteralExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(SuperExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(SwitchEntryStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(SwitchStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(SynchronizedStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ThisExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(ThrowStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(TryStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(TypeDeclarationStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(TypeParameter n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(UnaryExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(VariableDeclarationExpr n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(VariableDeclarator n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(VariableDeclaratorId n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(VoidType n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(WhileStmt n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(WildcardType n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(BlockComment n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`

#### visit

    public Node visit(LineComment n,
                      A arg)

Specified by:
  `visit` in interface `GenericVisitor<Node,A>`